Bug 1028442 - USB ID 0c45:644d Update
USB ID 0c45:644d Update
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hwdata (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Minar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-08 07:58 EST by Rolle
Modified: 2014-06-01 18:22 EDT (History)
8 users (show)

See Also:
Fixed In Version: hwdata-0.266-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-01 18:22:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rolle 2013-11-08 07:58:42 EST
Description of problem:
The USB ID 0c45:644d is a 1.3MP Webcam from micromedia. lsusb shows only the firm name. So I updated the ID on the website "http://www.linux-usb.org/usb-ids.html"
So please update the USB-IDs.

Version-Release number of selected component (if applicable):
Fedora 19, 20 alpha

How reproducible:
Always

Steps to Reproduce:
1. take a notebook with the webcam device 0c45:644d (like Dell XPS 13, L322X)
2. lsusb

Actual results:
ID 0c45:644d Micromedia

Expected results:
ID 0c45:644d Micromedia 1.3M Pixel integrated webcam

Additional info:
Comment 1 Josh Boyer 2013-11-08 09:45:01 EST
The kernel doesn't provide the usb.ids file.
Comment 2 Rolle 2013-12-03 05:54:39 EST
The update is landed. Thank you miminar(?)

I have a question. Is the website "http://www.linux-usb.org/usb-ids.html" still an official website for USB-IDs, so that other distros collect their infos from this website?
If I had new IDs, is it enough to add new entries on "http://www.linux-usb.org/usb-ids.html" or should I make new bug reports?

Is the official website for PCI IDs "http://pciids.sourceforge.net/"? Is there the same mechanism like the USB IDs?

Exists the same for parallel-port devices (escpecially printers). How can I retrieve the ID of a parallel port printer (like a modern Laserprinter Samsung ML-3470D)?

Thank you
Comment 3 Michal Minar 2013-12-04 06:38:08 EST
Hi Rolle,

actually, I haven't found the requested id in usb.ids. Is your problem solved? I doubt it.

Please submit your request to upstream first. The url you posted is correct, that's the source for the /usr/share/hwdata/usb.ids file. When it's in upstream, it will be pulled in on the next release of hwdata.

Yes, when you have some "unknown" device connected, please send your request there. Your contribution will be greatly appreciated by others. Or you may ask the vendor to do so for their new devices.

The same mechanism applies to PCI ids. They even use the same web interface. URL, you mentioned, belongs to the upstream project.

Sorry, I don't think that device introspection goes as far as listing parallel port devices. I don't know of any LPT ids database neither. CUPS daemon tries to recognize connected printer on particular parallel port. I can't tell whether there is some command line for this purpose.

Please let me know when the id is upstream and I'll make a new release.
Comment 4 Rolle 2013-12-04 10:42:25 EST
Thank you for your reply. So now I'm sure that's the correct way.

But my additions are not in the "usb.ids".
I made some additions to upstream "http://www.linux-usb.org/usb-ids.html". I was going to "USB devices" and then the website redirected to "https://usb-ids.gowdy.us/read/UD/". I hope this redirection is correct.
An entry from me is for instance "https://usb-ids.gowdy.us/read/UD/13fe/3600" from 2013-11.14.
After a while I wrote an e-mail to that USB ID Repository (Stephen J. Gowdy). But I didn't receive an answer from him. Maybe the e-mail is no more correct or something else.

So should I wait a while until my entries are checked from that admins and added to the usb.ids-file on the front-page of usb-website?
How long can this matter? There are now 3 weeks over without a reaction from the usb id repository.

Thank you in advance
Comment 5 Michal Minar 2013-12-05 01:53:55 EST
I'm sorry for the delay. But I can't help with that. Pushing ids into upstream is the only way. I'd suggest to wait for their approval a little longer.
Comment 6 Rolle 2013-12-05 15:11:08 EST
OK. Thank you for your information.
You did a great job.

See you
Comment 7 Fedora Update System 2014-05-27 02:40:49 EDT
hwdata-0.266-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/hwdata-0.266-1.fc20
Comment 8 Michal Minar 2014-05-27 02:42:17 EDT
Id is finally upstream.
Comment 9 Fedora Update System 2014-05-27 22:52:24 EDT
Package hwdata-0.266-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hwdata-0.266-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6756/hwdata-0.266-1.fc20
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2014-06-01 18:22:22 EDT
hwdata-0.266-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.